summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorfelics@felics-tablet2017-09-07 21:45:45 +0200
committerfelics@felics-tablet2017-09-07 21:45:45 +0200
commit0cd827645f39e9763a987efb6dedf02f499c2c79 (patch)
tree3893ad77d7cb9bbc6ec7f23a4b15a568e6778228
downloadaur-0cd827645f39e9763a987efb6dedf02f499c2c79.tar.gz
Initial commit.
-rw-r--r--.SRCINFO27
-rw-r--r--PKGBUILD88
2 files changed, 115 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..bc3365585bc
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,27 @@
+pkgbase = fifth-git
+ pkgdesc = Browser that carries the best features from Opera.
+ pkgver = 0.5+ggfcad9c2
+ pkgrel = 2
+ url = http://fifth-browser.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = gcc5
+ depends = webkitfltk
+ depends = fltk
+ depends = sqlite
+ depends = liburlmatch
+ depends = physfs
+ depends = libxslt
+ depends = curl
+ depends = harfbuzz-icu
+ depends = libjpeg-turbo
+ depends = cairo
+ provides = fifth=0.5+ggfcad9c2
+ conflicts = fifth
+ replaces = fifth<=0.5+ggfcad9c2
+ source = fifth::git+https://github.com/clbr/fifth.git
+ sha256sums = SKIP
+
+pkgname = fifth-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..29bfa44cebc
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,88 @@
+# Maintainer: dreieck <oid-maps -seznam:cz>
+# Contributor: Steffen Weber <-boenki-gmx-de->
+
+_pkgname=fifth
+pkgname="${_pkgname}-git"
+_pkgver=latest
+pkgver=0.5+ggfcad9c2
+pkgrel=2
+pkgdesc="Browser that carries the best features from Opera."
+arch=('i686' 'x86_64')
+url="http://fifth-browser.sourceforge.net/"
+license=('GPL3')
+provides=("${_pkgname}=${pkgver}")
+replaces=("${_pkgname}<=${pkgver}")
+conflicts=("${_pkgname}")
+depends=(
+ 'webkitfltk'
+ 'fltk'
+ 'sqlite'
+ 'liburlmatch'
+ 'physfs'
+ 'libxslt'
+ 'curl'
+ 'harfbuzz-icu'
+ 'libjpeg-turbo'
+ 'cairo'
+)
+makedepends=(
+ "gcc5"
+)
+optdepends=()
+source=(
+ "${_pkgname}::git+https://github.com/clbr/${_pkgname}.git"
+)
+
+sha256sums=(
+ 'SKIP'
+)
+
+# options+=('ccache')
+
+pkgver() {
+ cd "${_pkgname}"
+
+ _descr="$(git describe --tags --long)"
+ _ver="$(echo "${_descr}" | awk -F '-' '{print $1}' | sed 's|^v||')"
+ _rev="$(echo "${_descr}" | awk -F '-' '{print $3}')"
+
+ if [ -z "${_ver}" ]; then
+ msg "Error while executing function pkgver: Could not determine version of software. Aborting." > /dev/stderr
+ exit 11
+ fi
+
+ if [ -z "${_rev}" ]; then
+ msg "Error while executing function pkgver: Could not determine VCS-revision of current checkout. Aborting." > /dev/stderr
+ exit 12
+ fi
+
+ echo "${_ver}+g${_rev}"
+}
+
+build() {
+ cd "${_pkgname}"
+ CXXFLAGS+=" -DNDEBUG"
+ export CXXFLAGS
+ CC=gcc-5
+ export CC
+ CXX=c++-5
+ export CXX
+ autoreconf -i
+ ./configure --prefix=/usr
+ make
+}
+
+check() {
+ cd "${_pkgname}"
+ make check
+}
+
+package() {
+ cd "${_pkgname}"
+ make DESTDIR="${pkgdir}" install
+ for _docfile in BACKGROUND COPYING DESIGN README.asciidoc TODO WEBKITBUGS logo.pov; do
+ install -D -v -m 644 "${_docfile}" "${pkgdir}/usr/share/doc/${_pkgname}/${_docfile}"
+ done
+ cd "${pkgdir}/usr/share/doc/${_pkgname}"
+ ln -sv "/usr/share/${_pkgname}/" more-doc
+}